Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0001349
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminoralways2007-06-12 18:082016-07-28 18:23
ReporterpsarobeView Statuspublic 
Assigned Touser71 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionc211f0b47303
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0001349: Deleting a record. Different behaviour

DescriptionThe behaviour of deleting a record change if you do it from the grid or from the edition

Enviroment:
OS:Windows XP
Release: 2.30 alpha
Browser:IE7
DB:Oracle 10g

Doing from Relation mode (Grid).

1. Delete a record and click yes
2. It shows you a blue colour message saying: Success 1row/s delete.
3. Notice that if you log in in spanish, the message is english

Doing from Edition Mode.

1. Delete a record
2. No message


The behaviour should be the same.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0001257)
user71
2007-06-14 12:39
edited on: 2008-06-12 09:19

Logged In: YES
user_id=1500724
Originator: NO

This message was only implemented for the grid, that's why you can't see it in the edition window. Also, the message was hardcoded in the class, that's why you always see it in english. Now, the methods has been modified to do it in the correct way.
(0004938)
user71
2005-06-01 00:00
edited on: 2008-06-12 09:43

This bug was originally reported in SourceForge bug tracker and then migrated to Mantis.

You can see the original bug report in:
https://sourceforge.net/support/tracker.php?aid=1735858 [^]
(0088111)
hgbot (developer)
2016-06-30 16:52

Repository: erp/pmods/org.openbravo.retail.deliveryconditions
Changeset: 835c68e3bd25d98ed6b0c18a0a3e3abf7b4c7f9f
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Jun 29 12:05:37 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliveryconditions/rev/835c68e3bd25d98ed6b0c18a0a3e3abf7b4c7f9f [^]

Fixed Issue 1349 : Quantity to deliver for service is updated when no deleivery condition defined

---
M web/org.openbravo.retail.deliveryconditions/js/hookPreOrderSave.js
---
(0088697)
hgbot (developer)
2016-07-28 18:23

Repository: erp/pmods/org.openbravo.retail.deliveryconditions
Changeset: c211f0b473031e3cb82c74522d29c4eb152c436a
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Jun 29 12:05:37 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliveryconditions/rev/c211f0b473031e3cb82c74522d29c4eb152c436a [^]

Fixed Issue 1349 : Quantity to deliver for service is updated when no deleivery condition defined

---
M web/org.openbravo.retail.deliveryconditions/js/hookPreOrderSave.js
---

- Issue History
Date Modified Username Field Change
2016-06-30 16:52 hgbot Checkin
2016-06-30 16:52 hgbot Note Added: 0088111
2016-06-30 16:52 hgbot Status closed => resolved
2016-06-30 16:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliveryconditions/rev/835c68e3bd25d98ed6b0c18a0a3e3abf7b4c7f9f [^]
2016-07-28 18:23 hgbot Checkin
2016-07-28 18:23 hgbot Note Added: 0088697
2016-07-28 18:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliveryconditions/rev/835c68e3bd25d98ed6b0c18a0a3e3abf7b4c7f9f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliveryconditions/rev/c211f0b473031e3cb82c74522d29c4eb152c436a [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker